import { ZodSchema, z } from 'zod';
import { a as Metric } from './types-BtMyV38I.cjs';
export { E as EvaluationResult, M as MetricResult, T as TestInfo } from './types-BtMyV38I.cjs';
import { i as ToolsInput, j as Agent$1, k as AgentConfig, e as MastraStorage$1, l as MastraMemory$1, m as ToolExecutionContext, n as Tool$1, o as ToolAction, p as Step, q as Workflow$1, r as WorkflowOptions } from './base-_cdpamfE.cjs';
export { aA as ActionContext, a7 as AnyToolAction, az as BaseCondition, D as BaseStructuredOutputType, _ as Config, w as CoreAssistantMessage, u as CoreMessage, v as CoreSystemMessage, a6 as CoreTool, y as CoreToolMessage, x as CoreUserMessage, Q as DefaultLLMStreamObjectOptions, P as DefaultLLMStreamOptions, N as DefaultLLMTextObjectOptions, K as DefaultLLMTextOptions, aO as DependencyCheckOutput, B as EmbedManyResult, z as EmbedResult, E as EvalRow, aV as ExtractSchemaFromStep, aY as ExtractSchemaType, aW as ExtractStepResult, I as GenerateReturn, al as InferZodType, Y as LLMInnerStreamOptions, Z as LLMStreamObjectOptions, X as LLMStreamOptions, U as LLMTextObjectOptions, R as LLMTextOptions, L as LanguageModel, a as Mastra, a0 as MemoryConfig, a3 as MemoryProcessor, a2 as MemoryProcessorOpts, $ as MessageResponse, g as MessageType, O as OutputType, aZ as PathsToStringProps, aL as ResolverFunctionInput, aM as ResolverFunctionOutput, ax as RetryConfig, a1 as SharedMemoryConfig, at as StepAction, aD as StepCondition, aE as StepConfig, aC as StepDef, as as StepExecutionContext, aw as StepGraph, aU as StepId, aX as StepInputType, av as StepNode, aP as StepResolverOutput, aF as StepResult, au as StepVariableType, aG as StepsRecord, S as StorageColumn, h as StorageGetMessagesArg, f as StorageThreadType, J as StreamReturn, H as StructuredOutput, G as StructuredOutputArrayItem, F as StructuredOutputType, aN as SubscriberFunctionOutput, ad as TagMaskOptions, a8 as ToolActionWithVars, ay as VariableReference, ah as VariablesType, a5 as VercelTool, aB as WhenConditionReturnValue, aR as WorkflowActionParams, aS as WorkflowActions, aQ as WorkflowActors, aI as WorkflowContext, aK as WorkflowEvent, aJ as WorkflowLogMessage, a_ as WorkflowResumeResult, s as WorkflowRow, aH as WorkflowRunResult, W as WorkflowRunState, t as WorkflowRuns, aT as WorkflowState, aq as checkEvalStorageFields, ai as createEmptyVariables, ap as createMastraProxy, a$ as createStep, a4 as createTool, aj as createVariablesFrom, ac as deepMerge, a9 as delay, ar as ensureAllMessagesAreCoreMessages, an as ensureToolProperties, ag as isVercelTool, am as isZodType, aa as jsonSchemaPropertiesToTSTypes, ab as jsonSchemaToModel, ao as makeCoreTool, ae as maskStreamTags, af as resolveSerializedZodOutput, ak as validateVariables } from './base-_cdpamfE.cjs';
import { M as MastraBase$1 } from './base-BihKcqDY.cjs';
export { O as OtelConfig, S as SamplingStrategy, T as Telemetry } from './base-BihKcqDY.cjs';
import { R as RegisteredLogger, a as LogLevel, T as TransportMap, L as Logger } from './index-CquI0inB.cjs';
export { B as BaseLogMessage, b as LoggerTransport, M as MultiLogger, c as combineLoggers, n as noopLogger } from './index-CquI0inB.cjs';
import { MastraDeployer as MastraDeployer$1 } from './deployer/index.cjs';
export { evaluate } from './eval/index.cjs';
import { Integration as Integration$1, OpenAPIToolset as OpenAPIToolset$1 } from './integration/index.cjs';
export { CohereRelevanceScorer, MastraAgentRelevanceScorer, RelevanceScoreProvider, createSimilarityPrompt } from './relevance/index.cjs';
export { InstrumentClass, OTLPStorageExporter, hasActiveTelemetry, withSpan } from './telemetry/index.cjs';
import { MastraTTS as MastraTTS$1, TTSConfig } from './tts/index.cjs';
import { MastraVector as MastraVector$1 } from './vector/index.cjs';
export { CreateIndexArgs, CreateIndexParams, IndexStats, ParamsToArgs, QueryResult, QueryVectorArgs, QueryVectorParams, UpsertVectorArgs, UpsertVectorParams } from './vector/index.cjs';
export { agentToStep, getActivePathsAndStatus, getResultActivePaths, getStepResult, getSuspendedPaths, isAgent, isErrorEvent, isFinalState, isLimboState, isTransitionEvent, isVariableReference, isWorkflow, mergeChildValue, recursivelyCheckForFinalState, resolveVariables, updateStepInHierarchy, workflowToStep } from './workflows/index.cjs';
export { AvailableHooks, executeHook, registerHook } from './hooks/index.cjs';
export { Message as AiMessageType } from 'ai';
import 'sift';
import 'json-schema';
import '@opentelemetry/api';
import 'xstate';
import 'node:events';
import 'hono';
import 'hono-openapi';
import '@opentelemetry/sdk-trace-base';
import 'stream';
import 'pino';
import './bundler/index.cjs';
import '@opentelemetry/core';
import './vector/filter/index.cjs';

declare class Agent<TAgentId extends string = string, TSchemaVariables extends ZodSchema | undefined = undefined, TTools extends ToolsInput<TSchemaVariables> = ToolsInput<TSchemaVariables>, TMetrics extends Record<string, Metric> = Record<string, Metric>> extends Agent$1<TAgentId, TSchemaVariables, TTools, TMetrics> {
    constructor(config: AgentConfig<TAgentId, TSchemaVariables, TTools, TMetrics>);
}

declare class MastraBase extends MastraBase$1 {
    constructor(args: {
        component?: RegisteredLogger;
        name?: string;
    });
}

declare abstract class MastraDeployer extends MastraDeployer$1 {
    constructor(args: {
        name: string;
        mastraDir: string;
        outputDirectory: string;
    });
}

declare abstract class MastraStorage extends MastraStorage$1 {
    constructor({ name }: {
        name: string;
    });
}

declare class Integration<ToolsParams = void, ApiClient = void> extends Integration$1<ToolsParams, ApiClient> {
    constructor();
}

declare abstract class OpenAPIToolset extends OpenAPIToolset$1 {
    constructor();
}

declare function createLogger(options: {
    name?: string;
    level?: LogLevel;
    transports?: TransportMap;
}): Logger;

declare abstract class MastraMemory extends MastraMemory$1 {
    constructor(_arg?: any);
}

declare class Tool<TSchemaIn extends z.ZodSchema | undefined = undefined, TSchemaOut extends z.ZodSchema | undefined = undefined, TSchemaVariables extends z.ZodSchema | undefined = undefined, TContext extends ToolExecutionContext<TSchemaIn, TSchemaVariables> = ToolExecutionContext<TSchemaIn, TSchemaVariables>> extends Tool$1<TSchemaIn, TSchemaOut, TSchemaVariables, TContext> {
    constructor(opts: ToolAction<TSchemaIn, TSchemaOut, TSchemaVariables, TContext>);
}

declare abstract class MastraTTS extends MastraTTS$1 {
    constructor(args: TTSConfig);
}

declare abstract class MastraVector extends MastraVector$1 {
    constructor();
}

declare class Workflow<TSteps extends Step<any, any, any>[] = any, TTriggerSchema extends z.ZodObject<any> = any> extends Workflow$1<TSteps, string, TTriggerSchema> {
    constructor(args: WorkflowOptions<string, TSteps, TTriggerSchema>);
}

export { Agent, Integration, LogLevel, Logger, MastraBase, MastraDeployer, MastraMemory, MastraStorage, MastraTTS, MastraVector, Metric, OpenAPIToolset, RegisteredLogger, Step, TTSConfig, Tool, ToolAction, ToolExecutionContext, TransportMap, Workflow, WorkflowOptions, createLogger };
